Bug 114076

Summary: Stop building Objective-C bindings for the SVG DOM
Product: WebKit Reporter: Anders Carlsson <andersca>
Component: New BugsAssignee: Anders Carlsson <andersca>
Status: RESOLVED FIXED    
Severity: Normal CC: abarth, ddkilzer, esprehn+autocc, ojan.autocc, sam, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 114112, 129107    
Attachments:
Description Flags
Patch ggaren: review+

Description Anders Carlsson 2013-04-05 17:29:37 PDT
Stop building Objective-C bindings for the SVG DOM
Comment 1 Anders Carlsson 2013-04-05 17:31:49 PDT
Created attachment 196707 [details]
Patch
Comment 2 Geoffrey Garen 2013-04-05 17:32:57 PDT
Comment on attachment 196707 [details]
Patch

r=me
Comment 3 Sam Weinig 2013-04-05 17:33:24 PDT
r=me too!
Comment 4 Anders Carlsson 2013-04-05 17:41:18 PDT
Committed r147822: <http://trac.webkit.org/changeset/147822>
Comment 5 David Kilzer (:ddkilzer) 2013-04-06 11:00:04 PDT
There a few odds and ends left:

$ grep -l -r SVG_DOM_OBJC_BINDINGS Source | grep -v ChangeLog
Source/JavaScriptCore/Configurations/FeatureDefines.xcconfig
Source/WTF/wtf/FeatureDefines.h
Source/WebCore/Configurations/WebCore.xcconfig
Source/WebCore/bindings/objc/DOM.mm
Source/WebCore/bindings/objc/DOMEvents.mm
Source/WebCore/bindings/objc/ExceptionHandlers.mm
Source/WebKit/blackberry/WebCoreSupport/AboutDataEnableFeatures.in
Source/WebKit2/Configurations/FeatureDefines.xcconfig
Source/autotools/SetupWebKitFeatures.m4
Source/cmake/WebKitFeatures.cmake
Source/cmakeconfig.h.cmake
Comment 6 David Kilzer (:ddkilzer) 2013-04-06 11:04:20 PDT
(In reply to comment #5)
> There a few odds and ends left:
> 
> $ grep -l -r SVG_DOM_OBJC_BINDINGS Source | grep -v ChangeLog
> Source/JavaScriptCore/Configurations/FeatureDefines.xcconfig
> Source/WTF/wtf/FeatureDefines.h
> Source/WebCore/Configurations/WebCore.xcconfig
> Source/WebCore/bindings/objc/DOM.mm
> Source/WebCore/bindings/objc/DOMEvents.mm
> Source/WebCore/bindings/objc/ExceptionHandlers.mm
> Source/WebKit/blackberry/WebCoreSupport/AboutDataEnableFeatures.in
> Source/WebKit2/Configurations/FeatureDefines.xcconfig
> Source/autotools/SetupWebKitFeatures.m4
> Source/cmake/WebKitFeatures.cmake
> Source/cmakeconfig.h.cmake

$ grep -l -r SVG_DOM_OBJC_BINDINGS Tools | grep -v ChangeLog
Tools/Scripts/webkitperl/FeatureList.pm
Tools/qmake/mkspecs/features/features.pri
Comment 7 David Kilzer (:ddkilzer) 2013-04-07 03:38:53 PDT
(In reply to comment #6)
> (In reply to comment #5)
> > There a few odds and ends left:
> > 
> > $ grep -l -r SVG_DOM_OBJC_BINDINGS Source | grep -v ChangeLog
> > Source/JavaScriptCore/Configurations/FeatureDefines.xcconfig
> > Source/WTF/wtf/FeatureDefines.h
> > Source/WebCore/Configurations/WebCore.xcconfig
> > Source/WebCore/bindings/objc/DOM.mm
> > Source/WebCore/bindings/objc/DOMEvents.mm
> > Source/WebCore/bindings/objc/ExceptionHandlers.mm
> > Source/WebKit/blackberry/WebCoreSupport/AboutDataEnableFeatures.in
> > Source/WebKit2/Configurations/FeatureDefines.xcconfig
> > Source/autotools/SetupWebKitFeatures.m4
> > Source/cmake/WebKitFeatures.cmake
> > Source/cmakeconfig.h.cmake
> 
> $ grep -l -r SVG_DOM_OBJC_BINDINGS Tools | grep -v ChangeLog
> Tools/Scripts/webkitperl/FeatureList.pm
> Tools/qmake/mkspecs/features/features.pri

Bug 114112